
Ruby - Bug #5659

bug releasing a gem created with rails 3.1

11/22/2011 09:26 PM - viniciusgati (Vinicius Gati)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 1.9.3-head Backport:  

Description

I made a rails engine using rails 3.1

the steps i follow was :

i created the engine with rails new plugin test_rb_bug

then i updated the gemspec

then i created a git repo and pushed: https://github.com/viniciusgati/test_rb_bug

after that i do a rake release and got the error: https://gist.github.com/1383444 obs: this gist contains the machos crash report to

the gist is the error for the first gem when i found the error.

and i reproduced the same now with a fresh engine...

system: MacOS lion

rails: 3.1.3

ruby: 1.9.3-head

rvm: 1.8.6

rubygems 1.8.10

History

#1 - 11/23/2011 12:12 AM - luislavena (Luis Lavena)

From what it appears to be, SSL was involved in the crash.

Can you reproduce this against releases 1.9.3-p0?

Can you verify against which version of OpenSSL your Ruby installation linked against? If was 0.9.8 please try installing OpenSSL 1.0.0 and rebuild

your Ruby to link against it.

#2 - 11/23/2011 12:18 AM - luislavena (Luis Lavena)

- Status changed from Open to Feedback

#3 - 11/23/2011 03:13 AM - viniciusgati (Vinicius Gati)

I updated the gist with the 1.9.3-p0 log error

$ openssl version

OpenSSL 1.0.0e 6 Sep 2011

Luis Lavena wrote:

From what it appears to be, SSL was involved in the crash.

Can you reproduce this against releases 1.9.3-p0?

Can you verify against which version of OpenSSL your Ruby installation linked against? If was 0.9.8 please try installing OpenSSL 1.0.0 and

rebuild your Ruby to link against it.
#4 - 11/30/2011 06:13 AM - viniciusgati (Vinicius Gati)

I paste the 1.9.3-p0 bug in another gist

https://gist.github.com/1406528

#5 - 11/30/2011 06:26 AM - luislavena (Luis Lavena)

Vinicius Gati wrote:

I updated the gist with the 1.9.3-p0 log error

$ openssl version

OpenSSL 1.0.0e 6 Sep 2011

 :connect errors can be caused by OpenSSL.

Having that version of OpenSSL in your system, are you sure is the same Ruby is built against?

Please do:

$ ruby -v -ropenssl -e "puts OpenSSL::OPENSSL_VERSION"

Just to be sure.

I don't see in the output you provided "Pushing gem..." legend. Are you sure the gem is being pushed to rubygems.org and no RUBYGEMS_HOST

environment variable is being set?

#6 - 12/03/2011 10:13 PM - viniciusgati (Vinicius Gati)

$ ruby -v -ropenssl -e "puts OpenSSL::OPENSSL_VERSION"

ruby 1.9.3dev (2011-10-11 revision 33457) [x86_64-darwin11.2.0]

OpenSSL 1.0.0e 6 Sep

ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-darwin11.2.0]

OpenSSL 1.0.0e 6 Sep 2011

#7 - 12/03/2011 10:39 PM - viniciusgati (Vinicius Gati)

[viniciusgati] ~/Code/ruby/testes

$ cd test_rb_bug/

[viniciusgati] ~/Code/ruby/testes/test_rb_bug (master)

$ rvm use 1.9.2

Using /Users/viniciusgati/.rvm/gems/ruby-1.9.2-p290

[viniciusgati] ~/Code/ruby/testes/test_rb_bug (master)

$ rvm list

rvm rubies

=> ruby-1.9.2-p290 [ i386 ]

ruby-1.9.3-head [ x86_64 ]

ruby-1.9.3-p0 [ x86_64 ]

[viniciusgati] ~/Code/ruby/testes/test_rb_bug (master)

$ rake release

Could not find activesupport-3.1.3 in any of the sources

Run bundle install to install missing gems.

[viniciusgati] ~/Code/ruby/testes/test_rb_bug (master)

$ bundle

Fetching source index for http://rubygems.org/

Using rake (0.9.2.2)

Using multi_json (1.0.3)

Installing activesupport (3.1.3)

Using builder (3.0.0)

Using i18n (0.6.0)

Installing activemodel (3.1.3)

Using erubis (2.7.0)

Using rack (1.3.5)

Using rack-cache (1.1)

Using rack-mount (0.8.3)

Using rack-test (0.6.1)

Using hike (1.2.1)
Using tilt (1.3.3)

Using sprockets (2.0.3)

Installing actionpack (3.1.3)

Using mime-types (1.17.2)

Using polyglot (0.3.3)

Using treetop (1.4.10)

Using mail (2.3.0)

Installing actionmailer (3.1.3)

Using arel (2.2.1)

Using tzinfo (0.3.31)

Installing activerecord (3.1.3)

Installing activeresource (3.1.3)

Using bundler (1.0.21)

Using rack-ssl (1.3.2)

Using json (1.6.1)

Using rdoc (3.11)

Using thor (0.14.6)

Installing railties (3.1.3)

Using jquery-rails (1.0.18)

Installing rails (3.1.3)

Using sqlite3 (1.3.4)

Using test_rb_bug (0.0.1) from source at .

Your bundle is complete! Use bundle show [gemname] to see where a bundled gem is installed.

[viniciusgati] ~/Code/ruby/testes/test_rb_bug (master)

$ rake release

test_rb_bug 0.0.1 built to pkg/test_rb_bug-0.0.1.gem

Tagged v0.0.1

Pushed git commits and tags

Pushed test_rb_bug 0.0.1 to rubygems.org

=> link in rubygems.org

https://rubygems.org/gems/test_rb_bug

#8 - 10/31/2012 01:41 AM - mame (Yusuke Endoh)

- Status changed from Feedback to Assigned

- Assignee set to luislavena (Luis Lavena)

Luis, do you know the status?

--

Yusuke Endoh mame@tsg.ne.jp

#9 - 10/31/2012 02:03 AM - luislavena (Luis Lavena)

- Assignee changed from luislavena (Luis Lavena) to mame (Yusuke Endoh)

mame (Yusuke Endoh) wrote:

Luis, do you know the status?

 No, I was unable to reproduce with any of my installed versions of Ruby.

#10 - 10/31/2012 02:18 AM - mame (Yusuke Endoh)

- Assignee changed from mame (Yusuke Endoh) to MartinBosslet (Martin Bosslet)

luislavena (Luis Lavena) wrote:

mame (Yusuke Endoh) wrote:

Luis, do you know the status?

 No, I was unable to reproduce with any of my installed versions of Ruby.

 Thanks.  Then, emboss, do you know?

The trace looks similar to #6886 which was closed as 3PI.

What do you think?
--

Yusuke Endoh mame@tsg.ne.jp

#11 - 05/03/2014 03:35 PM - samkottler (Sam Kottler)

@vincius do you get this error on the latest release? I can't reproduce it on any of the machines I've got handy.

#12 - 09/13/2015 03:19 AM - zzak (zzak _)

- Assignee changed from MartinBosslet (Martin Bosslet) to 7150

#13 - 07/02/2016 03:54 AM - rhenium (Kazuki Yamaguchi)

- Status changed from Assigned to Feedback

The git reposirory/gist is deleted... Do you still reproduce with the current release of Ruby?

#14 - 11/10/2017 04:05 AM - rhenium (Kazuki Yamaguchi)

- Status changed from Feedback to Rejected
